## org.apache.myfaces.custom.navmenu
Class NavigationMenuUtils

    java.lang.Object
      org.apache.myfaces.custom.navmenu.NavigationMenuUtils

public class NavigationMenuUtils
extends java.lang.Object

Version:
  $Revision: 291496 $ $Date: 2005-09-25 20:14:54 -0400 (Sun, 25 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: tomsp $)

Constructor Summary
`NavigationMenuUtils()`

Method Summary
`static void` `addNavigationMenuItems(javax.faces.component.UISelectItems child, java.util.List list)`
`static java.util.List` `getNavigationMenuItemList(javax.faces.component.UIComponent uiComponent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationMenuUtils

    public NavigationMenuUtils()

Method Detail

### getNavigationMenuItemList

    public static java.util.List getNavigationMenuItemList(javax.faces.component.UIComponent uiComponent)

### addNavigationMenuItems

    public static void addNavigationMenuItems(javax.faces.component.UISelectItems child,
                                              java.util.List list)